Subject: RE: [Capwap] CAPWAP evaluation draft complete

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Mon, 26 Sep 2005 08:13:35 +0200

[dropped WG chairs, and James, they are on the mailing list. 
 and so am I].

W.r.t.
>   Now I understand that the 4 member evaluation team made a decision

The evaluation team made a "decision" if you like for itself, 
but they reported that decision as a RECOMMENDATION to the WG.

> that cannot be changed by the WG and that the WG just has to accept it

The WG CAN accpt it (instead of HAS TO accept it).
After all, it is a RECOMMENDATION.

Pls do not put words in the mouth of the evaluation team or the 
chairs. I do not believe any of them has stated that the WG
HAS TO accept anything.

So James has stated that he supports the recommendation of the
team. You seem to not support that. So what do the other WG members
think and opine?

Bert
> but it seems to me that it would be easier to start with SLAPP as
> a foundation and to change a few messages here and there to address
> whatever shortcomings were perceived instead of taking LWAPP and
> replacing its foundation-- its security components, how it does
> tunneling, and its tunneling options-- with SLAPP's.
> 
>   Dan.
> 
> On Thu, 22 Sep 2005 10:56:09 PDT you wrote
> > Dorothy and Mani,
> > 
> > After reading the evaluation document, I support the 
> recommendation of the 
> > evaluation team. I hope the WG will be able to resolve the 
> lingering 
> > nontechnical issues fairly quickly and move forward with 
> completing the 
> > CAPWAP protocol based on the evaluation document's recommendations.
> > 
> > I would also suggest that someone with good writing skills 
> do an editing 
> > pass through the evaluation document before it is submitted 
> to the IESG, 
> > since I noticed numerous typos and minor grammatical errors.
> > 
> >             jak
> > 
> > ----- Original Message ----- 
> > From: <[email-masked]>
> > To: <[email-masked]>
> > Cc: <[email-masked]>; <[email-masked]>; 
> <[email-masked]>; 
> > <[email-masked]>
> > Sent: Wednesday, September 21, 2005 6:34 PM
> > Subject: [Capwap] CAPWAP evaluation draft complete
> > 
> > 
> > 
> > After much hard work, the evaluation team has completed the CAPWAP
> > evaluation draft.  Its is available for review at:
> > 
http://www.ietf.org/internet-drafts/draft-ietf-capwap-eval-00.txt and
> also in the internet drafts directory.
> 
> The evaluation team concluded that LWAPP is the most complete proposal
> and should be used as the basis for CAPWAP protocol moving forward.  In
> addition, a number of recommendations were made which the evaluation
> team believed should be addressed by the working group.
> 
> Over the next 2 weeks the evaluation team will address clarification
> questions on the WG list.   The recommendation provided by the
> evaluation team will not change, as this was intended to be an
> independent activity supported by the WG.   This is essentially a WGLC
> on the evaluation draft.  Please submit any clarification question to
> the list by Friday, September 30th.
> 
> The next step will be to come to an agreement on the WG list to decide
> to accept the recommended protocol.  Once we have established consensus,
> we can further discuss the additional recommendations presented in the
> draft.
> 
> We would like to thank the evaluation team on its thorough work and a
> job well done.
> 
> Regards,
> Dorothy and Mani
> 
> 
> _______________________________________________
> Capwap mailing list
> [email-masked]
> http://mail.frascone.com/mailman/listinfo/capwap
> 
> 
> _______________________________________________
> Capwap mailing list
> [email-masked]
> http://mail.frascone.com/mailman/listinfo/capwap
_______________________________________________
Capwap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/capwap

---

From: "T. Charles Clancy" <[email-masked]>
Date: Mon, 26 Sep 2005 10:14:28 -0400 (EDT)

On Mon, 26 Sep 2005, Wijnen, Bert (Bert) wrote:

> The evaluation team made a "decision" if you like for itself, but they 
> reported that decision as a RECOMMENDATION to the WG.

Well if we don't take it as more than a RECOMMENDATION, I wonder what the 
point of an evaluation team was.

> So James has stated that he supports the recommendation of the team. You 
> seem to not support that. So what do the other WG members think and 
> opine?

I support the recommendation.  I agree with the idea of trying to reuse 
more standarized protocols within LWAPP, for example some sort of 
TLS-based authentication.

[ t. charles clancy ]--[ [email-masked] ]--[ www.cs.umd.edu/~clancy ]
[ computer science ]-----[ university of maryland | college park ]
_______________________________________________
Capwap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/capwap

---

From: Dan Harkins <[email-masked]>
Date: Mon, 26 Sep 2005 09:15:12 -0700

Bert,

  The way I understand Dorothy's announcment is that the RECOMMENDATION
cannot be changed by the working group. Right now it's WGLC on their
draft and they're to "address clarification questions on the WG list".

  Yes, we can do a wholesale rejection of the draft itself (and then it's
back to square one) but we cannot change their recommendation. It is
their recommendation that we must accept as is. This is a non-negotiable
decision (err, RECOMMENDATION) and we're being asked to take it or leave it.

  My statement was not one of supporting or rejecting their recommendation
it was pointing out that it's easier to add messages or remove messages
from any of the protocols than it is to change the tunneling and security
components of them. It would've been easier to start with SLAPP and add
the messages that it lacked, and therefore not "most complete", then to
start with LWAPP and replace 4 parts of its foundation with SLAPP's. 

  I understand the evaluation and how they put LWAPP ahead of SLAPP but 
given that none of the proposals are completely satisfactory I don't
understand why they chose the route they did. They obviously liked the
security of SLAPP, its flexibility in tunnelling options, and how it
does tunnelling. So why not start with the base you like and add the
toppings instead of starting with the toppings and change the base? 

  Heck, adding a control type in 4.5.1.8 of SLAPP for "LWAPP messaging"
would make this a cut-and-paste exercise! You get the security you want,
the tunnelling options you want, the way to tunnel you want, and the
"most complete" messaging you want.

  As to your question on whether I support or reject their recommendation
I guess I'd have to...<drumroll please>...<wait for it!>...reject it on
the grounds that a starting point along the lines of my observation above
would've been easier to work with. 

  Dan.

On Mon, 26 Sep 2005 08:13:35 +0200 you wrote